GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes
graphchi::functional_vertex_unweighted_semisync< KERNEL > Class Template Reference
Inheritance diagram for graphchi::functional_vertex_unweighted_semisync< KERNEL >:

List of all members.

## Public Types
typedef KERNEL::VertexDataType | VT
typedef KERNEL::EdgeDataType | ET

## Public Member Functions
| functional_vertex_unweighted_semisync (graphchi_context &ginfo, vid_t _id, int indeg, int outdeg)
| functional_vertex_unweighted_semisync (vid_t _id, graphchi_edge< ET > *iptr, graphchi_edge< ET > *optr, int indeg, int outdeg)
void | first_iteration (graphchi_context &gcontext_)
void | add_inedge (vid_t src, ET *ptr, bool special_edge)
void | ready (graphchi_context &gcontext_)
void | add_outedge (vid_t dst, ET *ptr, bool special_edge)
bool | computational_edges ()
Public Member Functions inherited from graphchi::graphchi_vertex< KERNEL::VertexDataType, KERNEL::EdgeDataType >
| graphchi_vertex (vid_t _id, graphchi_edge< KERNEL::EdgeDataType > *iptr, graphchi_edge< KERNEL::EdgeDataType > *optr, int indeg, int outdeg)
graphchi_edge < KERNEL::EdgeDataType > * | edge (int i)
graphchi_edge < KERNEL::EdgeDataType > * | inedge (int i)
graphchi_edge < KERNEL::EdgeDataType > * | outedge (int i)
KERNEL::VertexDataType | get_data ()
virtual void | set_data (KERNEL::VertexDataTyped)
void VARIABLE_IS_NOT_USED | sort_edges_indirect ()
Public Member Functions inherited from graphchi::internal_graphchi_vertex< KERNEL::VertexDataType, KERNEL::EdgeDataType >
| internal_graphchi_vertex (vid_t _id, graphchi_edge< KERNEL::EdgeDataType > *iptr, graphchi_edge< KERNEL::EdgeDataType > *optr, int indeg, int outdeg)
vid_t | id () const
int | num_inedges () const
int | num_outedges () const
int | num_edges () const

## Static Public Member Functions
static bool | read_outedges ()

## Public Attributes
VT | cumval
KERNEL | kernel
vertex_info | vinfo
graphchi_context * | gcontext

The documentation for this class was generated from the following file:

- src/api/functional/functional_semisync.hpp